# Ogre::FileSystemArchiveFactory Class Reference

Specialisation of ArchiveFactory for FileSystem files. More...

`#include <OgreFileSystem.h>`

Inheritance diagram for Ogre::FileSystemArchiveFactory:
[legend]

List of all members.

## Public Member Functions

virtual | ~FileSystemArchiveFactory ()
const String & | getType (void) const

Returns the factory type.

Returns:
  The factory type.

Archive * | createInstance (const String &name)

Creates a new object.

Parameters:

  | name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

void | destroyInstance (Archive *arch)

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

virtual void | destroyInstance (T *)=0
| Destroys an object which was created by this factory.

## Detailed Description

Specialisation of ArchiveFactory for FileSystem files.

Definition at line 93 of file OgreFileSystem.h.

## Constructor & Destructor Documentation

virtual Ogre::FileSystemArchiveFactory::~FileSystemArchiveFactory | ( |  | ) | `[virtual]`

Definition at line 96 of file OgreFileSystem.h.

## Member Function Documentation

const String& Ogre::FileSystemArchiveFactory::getType | ( | void |  | ) | const`[virtual]`

Returns the factory type.

Returns:
  The factory type.

Implements Ogre::FactoryObj< T >.

Archive* Ogre::FileSystemArchiveFactory::createInstance | ( | const String & | name | ) | `[virtual]`

Creates a new object.

Parameters:

  | name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< T >.

Definition at line 100 of file OgreFileSystem.h.

void Ogre::FileSystemArchiveFactory::destroyInstance | ( | Archive * | arch | ) |

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

Definition at line 105 of file OgreFileSystem.h.

template<typename T>

virtual void Ogre::FactoryObj< T >::destroyInstance | ( | T * |  | ) | `[pure virtual, inherited]`

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

The documentation for this class was generated from the following file:

- OgreFileSystem.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:48 2008